Ir al contenido

Buscar en La Comunidad

Mostrando resultados por etiquetas 'repositorio'.

  • Buscar Por Etiquetas

    Añade etiquetas separadas por comas.
  • Buscar Por Autor

Tipo de Contenido


Foros

  • Contacto con el staff
    • Novedades / Anuncios del foro
    • Sugerencias
    • Problemas relacionados con el foro
  • Zona general de charla
    • Presentaciones
    • Charla
    • Zona de Humor, Curiosidades y Otros
    • Mascotas Vagos
    • Noticias del Mundo
    • Tecnología
    • Ayuda y consultas de carácter general
  • Zona GNU/Linux
    • Ayuda, consultas y soporte GNU/Linux
    • Distribuciones GNU/Linux
    • Repositorios. Software GNU/Linux
    • Personalización
    • Raspberry Pi
    • Arduino
    • Manuales / Tutoriales / Guías GNU/Linux
    • Programación
    • Noticias GNU/Linux
    • Hablando de GNU/Linux
  • Zona Gaming
    • Juegos GNU/Linux
    • Noticias Gamer
    • Charla Gamer
  • Zona Móvil
    • Ayuda y soporte para dispositivos móviles
    • Apps Móviles
    • Manuales / Tutoriales / Guías Móviles
    • Roms para dispositivos Móviles
    • Noticias sobre dispositivos Móviles
    • Hablando sobre dispositivos Móviles
  • Zona Mozilla
    • Ayuda, consultas y soporte Mozilla
    • Aplicaciones Mozilla
    • Roms Firefox OS
    • Manuales / Tutoriales / Guías Mozilla
    • Noticias Mozilla
    • Hablando de Mozilla
  • Microsoft
    • Papelera del Foro

Encontrar resultados en...

Encontrar resutados que...


Fecha de Creación

  • Start

    Fin


Última Actualización

  • Start

    Fin


Filtrar por numero de...

Joined

  • Start

    Fin


Grupo


Página Web


Diaspora


Pump


GNU Social


Google +


Twitter


Facebook


Xmpp


Skype


Steam


Desura


MediaGoblin


Youtube


Vimeo


Picasa


Flickr


Email


Lugar


Intereses

Encontramos 9 resultados

  1. Estaba probando alternativas a NetworkManager, y cuando me di cuenta estaba sin internet y necesitaba unos paquetes Una forma es usar un disco de instalación actualizado, una vez que se tiene el USB grabado con la imagen hay que usar APT para instalar usando ese disco como repositorio de paquetes. Esto es algo que se debería usar solamente en casos de emergencia, porque los paquetes se van actualizando y el USB va quedando viejo. Primero hay que conectar el USB y desmontarlo si es que se monta automáticamente. Para ver el nombre del disco se puede usar lsblk sudo lsblk sudo umount /dev/sdXX Después se debe abrir apt-cdrom sudo apt-cdrom add Y mientras espera que uno inserte el disco, desde otra terminal hay que montar el USB en /media/cdrom sudo mount /dev/sdXX /media/cdrom Una vez que está montado se presiona Enter en la terminal que está ejecutando apt-cdrom. El programa muestra una salida de este estilo: Using CD-ROM mount point /media/cdrom/ Unmounting CD-ROM... Waiting for disc... Please insert a Disc in the drive and press [Enter] Mounting CD-ROM... Identifying... [82fbd75bcd562a79d4b6f175711c3e49-2] Scanning disc for index files... Found 2 package indexes, 0 source indexes, 2 translation indexes and 0 signatures This disc is called: 'Debian GNU/Linux testing _Stretch_ - Official Snapshot amd64 DVD Binary-1 20170123-05:22' Reading Package Indexes... Done Reading Translation Indexes... Done Writing new source list Source list entries for this disc are: deb cdrom:[Debian GNU/Linux testing _Stretch_ - Official Snapshot amd64 DVD Binary-1 20170123-05:22]/ stretch contrib main Unmounting CD-ROM... Repeat this process for the rest of the CDs in your set. Y listo, ya se puede usar apt install para instalar lo que haga falta Lo que apt-cdrom hace es agregar una entrada al archivo /etc/apt/sources.list de este estilo: deb cdrom:[Debian GNU/Linux testing _Stretch_ - Official Snapshot amd64 DVD Binary-1 20170123-05:22]/ stretch contrib main Supongo que se podría haber escrito manualmente pero no lo veo tan fácil pegarle con el nombre Una vez que se haya terminado se debería borrar la línea creada en el archivo /etc/apt/sources.list para dejar de usar al USB como repositorio
  2. Buenas a todos, a modo de recordatorio para mi, porque va a ser lo primero que haga en mis ordenadores al llegar a casa. os voy a dejar los pasos sencillitos por aqui, para que, si ya estas cansado de iceweasel, como yo, por los motivos que sean, y quieres probar de nuevo con el firefox original de toda la vida, a ver si la cosa mejora, (en mi caso parece que si), o simplemente porque te gusta mas el icono de firefox que el de iceweasel, (que tambien es realmente feo). aqui os dejo los pasos para instalar firefox facilmente en tu debian. 1º Eliminamos iceweasel sudo aptitude purge iceweasel 2º añadimos el siguiente repositorio a nuestra lista de repositorios: sudo nano /etc/apt/sources.list y añadimos deb http://downloads.sourceforge.net/project/ubuntuzilla/mozilla/apt all main3º actualizamos nuestros repositorios vitaminados sudo aptitude-update 4º añadimos la key: sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com C1289A29 5º Por ultimo volvemos a actualizar nuestros repositorios, y por ultimo instalamos firefox sudo aptitude-update && sudo aptitude install firefox-mozilla-build con esto tendremos instalada, no la ultima version de firefox, pero casi... aun asi una version bastante mas avanzada que la que trae debian (testing) de iceweasel en sus repositorios.yo he pasado de la version 38 de la comadreja helada, a la version 40 zorro de fuego!!!
  3. Sería útil una guía de como instalar programas en GNU/Linux para recien iniciados, porque es bastante distinto de como se maneja en Windows Esta guia esta pensada para distribuciones (lease "tipos de Linux") basadas en Ubuntu (por lo tanto Linux Mint, Ubuntu, Xubuntu, Kubuntu, etc.). También sirve un poco para Debian. Hay distintas formas de conseguir programas. Se puede usar un gestor de paquetes, instalar un paquete manualmente, copiar el ejecutable o compilarlo vos mismo Con un gestor de paquetes (recomendado): Termina siendo algo así como una tienda de aplicaciones, similar a la tienda de Android (Play Store) o la tienda de Apple (Apple Store) Te instalan el programa, te lo agregan al menu de inicio para poder usarlo y se encargan de actualizarlo Mas info: A fines prácticos: Hay gestores de paquetes con interfaz gráfica y gestores que se usan desde la terminal De forma grafica (mas fácil) Con la terminal (más eficiente y rápido): Que pasa si el programa que quiero no está? Los paquetes se descargan de repositorios, que son servidores que tienen los paquetes que usamos. Si el programa que queremos no está en los repositorios que tenemos configurados vamos a tener que agregar el repositorio necesario. Hay repositorios que son "oficiales" o algo así como manejados por los creadores de tu distribución, puede que tengas desactivado uno de estos repositorios, no por qué hay que tenerlos a todos activados. En el caso de Ubuntu y Linux Mint (Debian no) tenemos estos repositorios: Hay otro tipo de repositorios llamados PPA, que son algo así como repositorios personales, normalmente son repositorios que solamente tienen unos pocos programas y están generalmente mantenidos por los desarrolladores del programa, se utilizan como alternativa cuando el programa no esta en los repositorios anteriores. Para saber qué repositorio necesitamos tenemos que buscar en la página web del programa en donde debería decir. También podemos probar a agregar repositorios "oficiales" de arriba. Agregar repositorios "oficiales": Agregar PPAs: Instalando un archivo .deb En vez de usar un gestor de paquetes podés instalar el paquete manualmente. Como desventaja las actualizaciones se hacen de forma manual instalando otro .deb nuevo Es lo más parecido a Windows, el archivo .deb se puede pensar como un instalador. Siempre es recomendable usar un gestor de paquetes. Al parecer Ubuntu está buscando crear un reemplazo para los .deb, llamado Snappy, de todos modos si termina implementandose se podrá seguir usando los .deb y la transición no será rápida. Hay más tipos de "instaladores", el otro más común es .rpm, pero en Debian y derivadas (por lo tanto Ubuntu y derivadas) usamos .deb Instalar de forma grafica: Instalar con la terminal: Copiando el ejecutable (no recomendado): Esto no es muy común, técnicamente no es instalar. Es lo mismo que en Windows copiar un .exe Como desventaja tenemos que actualizarlo manualmente Una desventaja muy grande es que si queremos ver el programa en el menú de inicio tenemos que hacer el "acceso directo" o lanzador de forma manual Compilando el programa (avanzado): La ultima forma es bastante común en GNU/Linux, directamente se descarga el código fuente, que para ser ejecutado debe ser compilado El código fuente es el programa escrito en un lenguaje entendible para las personas, luego se tiene que compilar así se obtiene el programa en un lenguaje entendible para la PC (ceros y unos!) Olvidate de hacerlo de forma gráfica, hay que hacerlo desde la terminal. El problema es que para compilar se necesitan programas que varían dependiendo que hay que compilar. Así que antes de compilar se necesitan instalar varios paquetes, el paquete indispensable es build-essentials, contiene varios programas dentro. sudo aptitude install build-essentials Después hay que instalar los demás paquetes que digan en las instrucciones, normalmente estos paquetes terminan en -dev (viene de development, desarrollo en ingles) Para compilar varía de programa en programa, hay que buscar las intrucciones, lo más común son estos tres comandos en orden: ./configure make make install Previamente hay que moverse a la carpeta del código fuente con el comando cd Lo malo también es que no siempre se crean los accesos directos al menú de inicio, y para actualizar hay que compilarlo de nuevo.
  4. Hoy tuve problemas al instalar y actualizar paquetes, uso el mirror oficial de Chile: http://ftp.cl.debian.org/debian/ Cuando entro a la lista de mirrors oficiales veo que el de Chile no está: https://www.debian.org/mirror/list Me pareció raro, para mí antes el mirror de Chile estaba listado ahí, y tenía razón porque el archivo de waybackmachine del 12 de enero de 2016 tiene listado a ftp.cl.debian.org No pude encontrar ninguna noticia en internet Al principio tuve problemas y luego lo pude solucionar, parece que el mirror todavia anda. No se que relacion tiene con que haya desaparecido Chile en la lista de debian, pero mi problema puntual fue: La cosa es, ¿El mirror de chile va a desaparecer?¿Me tengo que cambiar de mirror? En este momento sigue funcionando No me quiero ir a mirrors no oficiales, todos los que probé se cayeron alguna vez, el oficial me iba bien
  5. Google Code, el hosting de Google que recoge el código de muchos proyectos de programación desde que fue fundado en 2006 tiene los días contados. El gigante de Internet afirma que en su día impulsó esta iniciativa dada la escasez de servicios de este tipo pero a día de hoy, con la cantidad de desarrolladores que han abandonado el servicio dejando su proyectos abandonados, pudiendo ser aprovechados para usos poco éticos, seguir adelante con Google Code no tiene sentido ya que éste ha dejado de ser útil. Desde ayer día 12 de Marzo el servicio pasó a ser exclusivo para los desarrolladores ya inscritos, no se aceptan más proyectos o nuevos integrantes. A partir de Agosto el hosting se volverá de sólo lectura, permitiendo acceso al contenido, las wikis, resportes... Para finalmente cerrar definitivamente en Enero de 2016. Aún así, tendremos un par de meses más para descargar proyectos antes de que el servicio sea desmantelado definitivamente. Este anuncio ha aparecido en el blog oficial de Google junto a una serie de recomendaciones para los desarrolladores sobre los pasos a seguir para migrar su código a otro hosting. Está claro que aún con grandes proyectos alojados en él, nunca tuvo el tirón de GitHub o Sourceforge, pero era una alternativa más a elegir que lamentablemente ya no estará más ahí. http://google-opensource.blogspot.com.es/2015/03/farewell-to-google-code.html
  6. Quería usar avconv en Debian testing y me encontré con que no sabía cómo instalarlo. Para usarlo hay que instalar libav-tools porque parece que ffmpeg está en desuso. Entonces se instala con sudo aptitude install libav-tools Era solamente eso, por si se encontraban con el mismo problema que yo
  7. No es algo usual, pero en alguna ocasión podemos encontrarnos ante la necesidad de añadir un repositorio PPA en Debian para obtener algún paquete o aplicación que no está disponible por ningún otro medio. La manera "normal" de hacer esto para distribuciones basadas en Ubuntu pasa por utilizar el comando add-apt-repository seguido del nombre/propietario del repositorio que queremos añadir, mientras que en Debian hay que añadir la dirección en el sources.list, obtener la llave del repositorio y autentificarlo para poder instalar luego lo que nos interesa, todo de manera manual. Este problema se puede solucionar "casi" del todo instalando el paquete python-software-properties aptitude install python-software-propertiesEste paquete nos permitirá añadir repositorios exactamente igual a como lo haría un usuario de Ubuntu, excepto por un pequeño detalle, que veremos ahora. El origen del problema Si bien este paquete nos permitirá utilizar el comando add-apt-repository, que añadirá el repositorio al sources.list.d, obtendrá la llave y lo autentificará automáticamente, existe un pequeño inconveniente y es que cuando añadimos un repositorio PPA, éste se añade en función del sistema desde el que lo estamos reclamando. Es decir, que en el momento de añadir el repositorio, este apuntará a testing o a wheezy o a cualquier otra rama o versión de Debian en la que nos encontremos. Los repositorios PPA están pensados para usarse apuntando a versiones de Ubuntu, por lo que de entrada no podremos descargar nada de ese repositorio, al no existir para éste la versión o rama de Debian a la que estamos apuntando. No obstante, esto tiene fácil solución, basta con cambiar eso manualmente el repositorio que hemos añadido para que apunte a donde es debido. Solución 1 (Semiautomática) Los repositorios PPA se incluyen dentro de la carpeta /etc/apt/sources.list.d cada uno en un archivo individual, sólo tendremos que cambiarlo con cualquier editor de texto, como puede ser nano: El que tendrá aspecto será algo similar a: Sólo tendremos que cambiarlo por alguna versión de Ubuntu (Preferiblemente alguna que nos pueda brindar un soporte prolongado (LTS), como la más reciente Precise) Evidentemente no es la única forma de llevar a cabo este cambio, podemos hacerlo como más cómodo nos sea, bien desde Orígenes de software, desde synaptic, el Software Center o cualquier otra aplicación gráfica que utilicemos para administrar paquetes/repositorios. Solución 2 (Automática) Podemos hacer algunos cambios en python-software-properties para "engañar" el reconocimiento y que ponga siempre la versión de Ubuntu que queramos. Para simplificar el proceso, he editado el archivo de antemano para que indique siempre precise y lo he subido a dropbox, así que sólo hay que descargarlo y sustituirlo: wget http://dl.dropbox.com/u/31330480/SoftwareProperties.pymv SoftwareProperties.py /usr/share/pyshared/softwareproperties/ Hecho eso, al ejecutar add-apt-repositories apuntará siempre a precise, por lo que no tendremos que cambiar nada, en este caso el proceso sí será totalmente automático. Ejemplo práctico Supongamos que queremos añadir el repositorio de JDownloader haciendo uso de este método. Consultando en Launchpad averiguamos que dicho repositorio es: ppa:jd-team/jdownloader 1º Instalamos el paquete que hará el trabajo por nosotros: aptitude install python-software-properties2º Le damos uso add-apt-repository ppa:jd-team/jdownloaderEn el caso de haber optado por la Solución 2, ya habríamos acabado. La solución 1 requeriría un poco más de atención 3º Corregimos la versión a la que apuntan los repositorios nano /etc/apt/sources.list.d/jd-team-jdownloader-wheezy.listNos encontramos con el problema Y lo cambiamos 4º Guardamos y actualizamos la lista de paquetes: aptitude updateYa tenemos listo ese repositorio para instalar lo que queramos de él
  8. Mediante este comunicado el proyecto Medibuntu anunciaba el pasado viernes 11 de septiembre la descontinuación de sus actividades. Este proyecto mantenía un repositorio con aplicaciones multimedia, códecs y otro software que pudiera generar conflictos por motivos relacionados con el copyright y era incluido por defecto en la lista de repositorios de algunas distribuciones como Linux Mint y Ubuntu. Si tu ordenador contaba con este repositorio en la lista es probable que hayas experimentado problemas al actualizar (aptitude update), los cuales se solucionan fácilmente de la siguiente forma. Abre la terminal y logueate como superusuario: su o sudo su Edita la lista de repositorios: nano /etc/apt/sources.list y elimina (o comenta) la siguiente línea: deb http://packages.medibuntu.org/ tu_distribución free non-free Ahora ya puedes (y deberías) actualizar tu sistema (con aptitude o apt-get): aptitude update aptitude upgrade
  9. No es ningún secreto que Valve tiene intención de irrumpir en el mercado infromático con su propia línea de PC (Mal llamada consola) conocida como SteamBoxes y en cuyo interior se encontrará una distribución GNU/Linux. Hasta ahora, poco se conoce de esta distribución, Valve no ha dado ningún detalle, pero recientemente han empezado a verse ciertos paquetes en los repositorios deb de la compañía que arrojan alguna luz sobre el asunto. En este repositorio de prueba "Hometest" encontramos los paquetes de instalación de steam, steam-launcher y el propio cliente steam.i386, además de los antiguos controladores 310.14 de nvidia. Pero eso no es todo, pues en este nuevo repositorio encontramos algunas cosas curiosas, como puede ser un pack de Wallpapers y un tema de plymouth También hay un paquete steam-autoupdate que no tengo muy clara su función, pero por su nombre nos podemos hacer una ligera idea Todas las referencias hacia la rama/versión a la que está destinada este repositorio apuntan a Precise, por lo que muy probablemente la distribución de Valve termine basándose en Ubuntu 12.04, aunque esperemos que con otro entorno, o al menos otro shell. http://repo.steampowered.com/hometest
×
×
  • Crear Nuevo...